# Ds\Deque::push

(PECL ds >= 1.0.0)

Ds\Deque::push — Adds values to the end of the deque

### Beschreibung

public Ds\Deque::push(mixed `...$values`): void

Adds values to the end of the deque.

### Parameter-Liste

`values`

  The values to add.

### Rückgabewerte

Es wird kein Wert zurückgegeben.

### Beispiele

Beispiel #1 Ds\Deque::push() example

`<?php
$deque = new \Ds\Deque();
$deque->push("a");
$deque->push("b");
$deque->push("c", "d");
$deque->push(...["e", "f"]);
print_r($deque);
?>`

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

    Ds\Deque Object
    (
        [0] => a
        [1] => b
        [2] => c
        [3] => d
        [4] => e
        [5] => f
    )

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open